import App from './App.vue';
import { createSSRApp } from 'vue';
import { createPinia } from 'pinia';
import { registryConvert } from './common/utils/ConvertRgeistry';

import DialogAction from './common/utils/DialogAction';
import PageAction from './common/utils/PageAction';

export function createApp() {
  const app = createSSRApp(App);
  const pinia = createPinia()
  app.use(DialogAction);
  app.use(PageAction);
  app.use(pinia);
  registryConvert();
  return {
    app
  }
}
